### File

`packages/components/eui-icon-color/eui-icon-color.component.ts`

### Metadata

selector | `eui-icon-colored, span[euiIconColored], [euiIconColored]`
template |
    <span [class]="iconClass">
        @for (pathNumber of paths; track pathNumber) {
            <span class="path{{ pathNumber }}"></span>
        }
    </span>

### Index

###### Properties
Public paths
###### Methods
getCssClasses
###### Inputs
iconClass
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

iconClass
Type : `any`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public paths
Type : `[]`
Default value : `[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20]`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""